# Commerce Layer drop-in library

Commerce Layer `drop-in.js` lets you transform any plain HTML page into an enterprise-grade static commerce website, with almost no coding required, thanks to a set of micro frontends that handle the main ecommerce functionalities.

Prices, availability messages, shopping bag, and more are automatically mixed into your own content and styling, whatever the CMS, SSG, and tools you use to build your site pages. All you need to do is embed the library and add tags to the HTML page.

![Commerce Layer drop-in library](https://user-images.githubusercontent.com/1681269/203999041-980f0dec-4fca-45c9-a558-b14153158106.jpg)

[![Published on webcomponents.org](https://img.shields.io/badge/webcomponents.org-published-blue.svg)](https://www.webcomponents.org/element/@commercelayer/drop-in.js)
[![NPM](https://img.shields.io/npm/v/%40commercelayer%2Fdrop-in.js)](https://www.npmjs.com/package/@commercelayer/drop-in.js)
[![jsDelivr Stats](https://data.jsdelivr.com/v1/stats/packages/npm/@commercelayer/drop-in.js/badge?type=hits&period=month&style=rounded)](https://www.jsdelivr.com/package/npm/@commercelayer/drop-in.js?tab=stats)

## Getting started

For a constantly updated list of the available and soon-to-come micro frontends provided by Commerce Layer's drop-in library, please refer to [this interactive documentation](https://commercelayer.github.io/drop-in.js) that will provide you with all the necessary information about the involved web components and help you get started in a snap.

## Available micro frontends

- **Price**  
  Display a price with localized currency, discounts, and personalization rules.

- **Availability**  
  Display an availability message with localized delivery lead time and cost.

- **Add to cart**  
  Add a buy button to any page with embedded validation rules.

- **Cart**  
  Link or embed the hosted version of the Commerce Layer [Cart](https://github.com/commercelayer/commercelayer-cart) application, with line items preview and edit actions.

- **Checkout**  
  Link to the hosted version of the Commerce Layer PCI-compliant [Checkout](https://github.com/commercelayer/commercelayer-react-checkout) application, with integrated payments.

- **Identity**  
  Signup / login via the hosted version of the Commerce Layer [Identity](https://github.com/commercelayer/mfe-identity) application.

- **My account**  
  Link to the hosted version of the Commerce Layer [My account](https://github.com/commercelayer/commercelayer-my-account) application, a customer portal with personal account information and management.

## Need help?

- Join [Commerce Layer's Discord community](https://discord.gg/commercelayer).
- Open a new [Q&A discussion](https://github.com/commercelayer/drop-in.js/discussions/categories/q-a).
- Ping us on [Bluesky](https://bsky.app/profile/commercelayer.io), [X](https://x.com/commercelayer), or [LinkedIn](https://www.linkedin.com/company/commerce-layer).
- Is there a bug? Create an [issue](https://github.com/commercelayer/drop-in.js/issues) on this repository.

## License

This project is published under the [MIT](https://github.com/commercelayer/drop-in.js/blob/main/LICENSE) license.
