import { fireEvent } from "../../event";
import { memoize } from "../../../utils/utils";
import { createClient } from "../client";
import { getConfig } from "../config";
import { _getSkuViaList } from "./list";
const getMemoizedSku = memoize(async (code) => {
    const { id } = (await _getSkuViaList(code)) ?? {};
    if (id === undefined) {
        return undefined;
    }
    const client = await createClient(getConfig());
    const sku = (await client.skus.retrieve(id));
    return sku;
});
export const getSku = async (code) => {
    const sku = await getMemoizedSku(code);
    fireEvent("cl-skus-getsku", [code], sku);
    return sku;
};
