import { Host, h, } from "@stencil/core";
import { getCheckoutUrl } from "../../apis/commercelayer/cart";
import { listenTo } from "../../apis/event";
export class ClCheckoutLink {
    host;
    /**
     * The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;).
     */
    target = "_self";
    href;
    async componentWillLoad() {
        listenTo("cl-cart-update", async (event) => {
            if (this.href === undefined &&
                event.detail.response.skus_count != null &&
                event.detail.response.skus_count > 0) {
                this.href = await getCheckoutUrl();
            }
        });
        listenTo("cl-cart-hostedcartupdate", (event) => {
            if (event.detail.response.skus_count === undefined ||
                event.detail.response.skus_count === 0) {
                this.href = undefined;
            }
        });
        this.href = await getCheckoutUrl();
    }
    render() {
        return (h(Host, { key: '96223adaf59807f3f7da73796ab63b1e42d23d6e', "aria-disabled": this.href !== undefined ? undefined : "true" }, h("a", { key: '7b191744e56ec56e13ccb1faba04340604c8e5ff', target: this.target, href: this.href }, h("slot", { key: '9982c07d3d61b84a895585c2e156b992592e87b3' }))));
    }
    static get is() { return "cl-checkout-link"; }
    static get properties() {
        return {
            "target": {
                "type": "string",
                "attribute": "target",
                "mutable": false,
                "complexType": {
                    "original": "\"_self\" | \"_blank\" | \"_parent\" | \"_top\"",
                    "resolved": "\"_blank\" | \"_parent\" | \"_self\" | \"_top\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;)."
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "\"_self\""
            }
        };
    }
    static get states() {
        return {
            "href": {}
        };
    }
    static get elementRef() { return "host"; }
}
