import { Host, h, } from "@stencil/core";
export class ClPriceAmount {
    /**
     * The type of price amount to be displayed.
     */
    type = "price";
    price;
    priceUpdateHandler(event) {
        this.price = event.detail;
    }
    render() {
        const hasStrikethrough = this.price?.formatted_compare_at_amount !== this.price?.formatted_amount;
        return (h(Host, { key: 'ba99ce351d91ed2a326506da9e97430cf0fe94fb' }, this.type === "compare-at"
            ? hasStrikethrough && (h("s", { part: "strikethrough" }, this.price?.formatted_compare_at_amount))
            : this.price?.formatted_amount));
    }
    static get is() { return "cl-price-amount"; }
    static get encapsulation() { return "shadow"; }
    static get properties() {
        return {
            "type": {
                "type": "string",
                "attribute": "type",
                "mutable": false,
                "complexType": {
                    "original": "\"price\" | \"compare-at\"",
                    "resolved": "\"compare-at\" | \"price\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "The type of price amount to be displayed."
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "\"price\""
            }
        };
    }
    static get states() {
        return {
            "price": {}
        };
    }
    static get listeners() {
        return [{
                "name": "priceUpdate",
                "method": "priceUpdateHandler",
                "target": undefined,
                "capture": false,
                "passive": false
            }];
    }
}
