import { log } from "./logger";
export function isValidCode(code) {
    return typeof code === "string" && code !== "";
}
export function logCode(host, code) {
    if (!isValidCode(code)) {
        log("warn", '"code" attribute should be a not empty string.', host);
    }
}
export function isValidQuantity(quantity) {
    return quantity >= 0;
}
export function isValidUnion(union, values) {
    return union != null && values.includes(union);
}
export function logUnion(host, attributeName, attributeValue, validValues) {
    if (!isValidUnion(attributeValue, validValues)) {
        log("warn", `"${attributeName}" attribute should be one of ${validValues
            .map((v) => `"${v}"`)
            .join(", ")}. Received: "${attributeValue ?? "undefined"}"`, host);
    }
}
/**
 * Converts an Union type to a Tuple
 */
export function unionToTuple() {
    return (...elements) => elements;
}
