import { g as getConfig, h as getOrganizationConfig, b as getAccessToken } from './config.js';
import { g as getClosestLocationHref } from './url.js';

async function getMyAccountUrl() {
    const config = getConfig();
    const { type } = await getAccessToken(config);
    if (type === "guest") {
        return undefined;
    }
    const organizationConfig = await getOrganizationConfig();
    const lang = config.defaultAttributes?.orders?.language_code;
    return `${organizationConfig.links.my_account}${lang != null ? `&lang=${lang}` : ""}`;
}
async function getIdentityUrl(type, scope, resetPasswordUrl) {
    const config = getConfig();
    if (type === "logout") {
        return "#";
    }
    const organizationConfig = await getOrganizationConfig();
    const lang = config.defaultAttributes?.orders?.language_code;
    return `${organizationConfig.links.identity}/${type}?clientId=${config.clientId}&scope=${scope ?? config.scope}&publicScope=${config.scope}&returnUrl=${getClosestLocationHref()}${lang != null ? `&lang=${lang}` : ""}${resetPasswordUrl != null ? `&resetPasswordUrl=${resetPasswordUrl}` : ""}`;
}

export { getMyAccountUrl as a, getIdentityUrl as g };
