import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as getCheckoutUrl } from './cart.js';
import { l as listenTo } from './config.js';

const ClCheckoutLink$1 = /*@__PURE__*/ proxyCustomElement(class ClCheckoutLink extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    get host() { return this; }
    /**
     * The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;).
     */
    target = "_self";
    href;
    async componentWillLoad() {
        listenTo("cl-cart-update", async (event) => {
            if (this.href === undefined &&
                event.detail.response.skus_count != null &&
                event.detail.response.skus_count > 0) {
                this.href = await getCheckoutUrl();
            }
        });
        listenTo("cl-cart-hostedcartupdate", (event) => {
            if (event.detail.response.skus_count === undefined ||
                event.detail.response.skus_count === 0) {
                this.href = undefined;
            }
        });
        this.href = await getCheckoutUrl();
    }
    render() {
        return (h(Host, { key: '96223adaf59807f3f7da73796ab63b1e42d23d6e', "aria-disabled": this.href !== undefined ? undefined : "true" }, h("a", { key: '7b191744e56ec56e13ccb1faba04340604c8e5ff', target: this.target, href: this.href }, h("slot", { key: '9982c07d3d61b84a895585c2e156b992592e87b3' }))));
    }
}, [4, "cl-checkout-link", {
        "target": [513],
        "href": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cl-checkout-link"];
    components.forEach(tagName => { switch (tagName) {
        case "cl-checkout-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ClCheckoutLink$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ClCheckoutLink = ClCheckoutLink$1;
const defineCustomElement = defineCustomElement$1;

export { ClCheckoutLink, defineCustomElement };
