import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ClPriceAmount$1 = /*@__PURE__*/ proxyCustomElement(class ClPriceAmount extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    /**
     * The type of price amount to be displayed.
     */
    type = "price";
    price;
    priceUpdateHandler(event) {
        this.price = event.detail;
    }
    render() {
        const hasStrikethrough = this.price?.formatted_compare_at_amount !== this.price?.formatted_amount;
        return (h(Host, { key: 'ba99ce351d91ed2a326506da9e97430cf0fe94fb' }, this.type === "compare-at"
            ? hasStrikethrough && (h("s", { part: "strikethrough" }, this.price?.formatted_compare_at_amount))
            : this.price?.formatted_amount));
    }
}, [1, "cl-price-amount", {
        "type": [513],
        "price": [32]
    }, [[0, "priceUpdate", "priceUpdateHandler"]]]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cl-price-amount"];
    components.forEach(tagName => { switch (tagName) {
        case "cl-price-amount":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ClPriceAmount$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ClPriceAmount = ClPriceAmount$1;
const defineCustomElement = defineCustomElement$1;

export { ClPriceAmount, defineCustomElement };
