import { m as memoize, f as fireEvent, c as createClient, g as getConfig } from './config.js';
import { _ as _getSkuViaList } from './list.js';

const getMemoizedSku = memoize(async (code) => {
    const { id } = (await _getSkuViaList(code)) ?? {};
    if (id === undefined) {
        return undefined;
    }
    const client = await createClient(getConfig());
    const sku = (await client.skus.retrieve(id));
    return sku;
});
const getSku = async (code) => {
    const sku = await getMemoizedSku(code);
    fireEvent("cl-skus-getsku", [code], sku);
    return sku;
};

export { getSku as g };
