import { type JSX } from "../../stencil-public-runtime";
import type { AvailabilityUpdateEventPayload } from "../../apis/types";
export declare class ClAvailabilityInfo {
    host: HTMLClAvailabilityInfoElement;
    private readonly typeList;
    /**
     * The type of information to be displayed.
     */
    type: "min-days" | "max-days" | "min-hours" | "max-hours" | "shipping-method-name" | "shipping-method-price" | undefined;
    /**
     * Displayed text.
     */
    text: string | undefined;
    availabilityUpdateHandler(event: CustomEvent<AvailabilityUpdateEventPayload>): void;
    componentWillLoad(): Promise<void>;
    watchTypeHandler(newValue: typeof this.type): Promise<void>;
    private logType;
    render(): JSX.Element;
}
