import type { Order } from "@commercelayer/sdk";
import { type JSX } from "../../stencil-public-runtime";
export declare class ClAvailability {
    host: HTMLClAvailabilityElement;
    private readonly kindList;
    private readonly kindDefault;
    /**
     * Indicates whether the code refers to a `sku` or a `bundle`.
     *
     * _⚠️ `bundle` is not fully implemented._
     *
     * @default sku
     */
    kind?: "sku" | "bundle";
    /**
     * The SKU or bundle code (i.e. the unique identifier of the product or bundle whose availability you want to display).
     */
    code: string | undefined;
    /**
     * The rule used to determine the information that will be displayed.
     * `cheapest` is the delivery lead time associated with the lower shipping method cost,
     * `fastest` is the delivery lead time associated with the lower average time to delivery.
     */
    rule: "cheapest" | "fastest";
    cart: Order | undefined;
    componentWillLoad(): Promise<void>;
    watchKindHandler(newValue: typeof this.kind): Promise<void>;
    watchPropHandler(newValue: typeof this.code): Promise<void>;
    private readonly updateAvailability;
    private readonly debouncedUpdateAvailability;
    render(): JSX.Element;
}
