import { type JSX } from "../../stencil-public-runtime";
export declare class ClIdentityLink {
    host: HTMLClIdentityLinkElement;
    private readonly typeList;
    /**
     * The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;).
     */
    target: "_self" | "_blank" | "_parent" | "_top";
    /**
     * The user account access action.
     */
    type: "login" | "signup" | "logout" | undefined;
    /**
     * Enable a custom reset password link visible on the login form page.
     * When set, a "Forgot password?" link will be shown on the right below the Password field.
     */
    resetPasswordUrl?: string;
    /**
     * Your sales channel [scope](https://docs.commercelayer.io/core/authentication#authorization-scopes)
     * (used to restrict the dataset of your application to a market and/or stock location).
     * If specified, it will override the default scope set in the drop-in library configuration.
     * Otherwise, the default scope taken from the drop-in library configuration will be used.
     */
    scope?: string;
    href: string | undefined;
    componentWillLoad(): Promise<void>;
    watchTypeHandler(newValue: typeof this.type): Promise<void>;
    private updateUrl;
    render(): JSX.Element;
}
