import { type JSX } from "../../stencil-public-runtime";
export interface Props {
    code: string | undefined;
}
export declare class ClPrice {
    host: HTMLClPriceElement;
    private readonly kindList;
    private readonly kindDefault;
    /**
     * Indicates whether the code refers to a `sku` or a `bundle`.
     * @default sku
     */
    kind?: "sku" | "bundle";
    /**
     * The SKU or bundle code (i.e. the unique identifier of the product or bundle whose price you want to display).
     */
    code: string | undefined;
    componentWillLoad(): Promise<void>;
    watchKindHandler(newValue: typeof this.kind): Promise<void>;
    watchCodeHandler(newValue: typeof this.code): Promise<void>;
    private readonly updatePrice;
    private readonly debouncedUpdatePrice;
    render(): JSX.Element;
}
