export declare function isValidCode(code: string | undefined): code is string;
export declare function logCode(host: HTMLElement, code: string | undefined): void;
export declare function isValidQuantity(quantity: number): boolean;
export declare function isValidUnion<T extends string | undefined>(union: T, values: ReadonlyArray<NonNullable<T>>): union is NonNullable<T>;
export declare function logUnion<T extends string | undefined>(host: HTMLElement, attributeName: string, attributeValue: T, validValues: ReadonlyArray<NonNullable<T>>): void;
type ValueOf<T> = T[keyof T];
type NonEmptyArray<T> = [T, ...T[]];
type MustInclude<T, U extends T[]> = [T] extends [ValueOf<U>] ? U : never;
/**
 * Converts an Union type to a Tuple
 */
export declare function unionToTuple<T>(): <U extends NonEmptyArray<NonNullable<T>>>(...elements: MustInclude<NonNullable<T>, U>) => MustInclude<NonNullable<T>, U>;
export {};
